Bug 842982 - Change network with netconsole loaded cause kernel panic [rhel-6.3.z]
Summary: Change network with netconsole loaded cause kernel panic [rhel-6.3.z]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel
Version: 6.3
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: ---
Assignee: Frantisek Hrbata
QA Contact: Monson Shao
URL:
Whiteboard:
Depends On: 839266
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-07-25 08:21 UTC by RHEL Program Management
Modified: 2018-11-29 20:34 UTC (History)
20 users (show)

Fixed In Version: kernel-2.6.32-279.7.1.el6
Doc Type: Bug Fix
Doc Text:
When the netconsole module was configured over bridge and the "service network restart" command was executed, a deadlock could occur, resulting in a kernel panic. This was caused by recursive rtnl locking by both bridge and netconsole code during network interface unregistration. With this update, the rtnl lock usage is fixed, and the kernel no longer crashes in this scenario.
Clone Of:
Environment:
Last Closed: 2012-09-25 19:00:14 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2012:1304 normal SHIPPED_LIVE Moderate: kernel security and bug fix update 2012-09-25 22:58:04 UTC

Description RHEL Program Management 2012-07-25 08:21:47 UTC
This bug has been copied from bug #839266 and has been proposed
to be backported to 6.3 z-stream (EUS).

Comment 8 errata-xmlrpc 2012-09-25 19:00:14 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-1304.html


Note You need to log in before you can comment on or make changes to this bug.